com.fasterxml.aalto.evt

## Class IncompleteEvent

- java.lang.Object
- - org.codehaus.stax2.ri.evt.BaseEventImpl
  - - com.fasterxml.aalto.evt.IncompleteEvent

- All Implemented Interfaces:
    XMLEvent, XMLStreamConstants, org.codehaus.stax2.evt.XMLEvent2

      public class IncompleteEvent
      extends org.codehaus.stax2.ri.evt.BaseEventImpl

  Bogus `XMLEvent` returned when the next event is not yet available, in case of non-blocking (async) parsing.

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.stax2.ri.evt.BaseEventImpl

      `mLocation`

    - ### Fields inherited from interface javax.xml.stream.XMLStreamConstants

      `ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `IncompleteEvent()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getEventType()`
    `int` | `hashCode()`
    `static IncompleteEvent` | `instance()`
    `void` | `writeAsEncodedUnicode(Writer w)`
    `void` | `writeUsing(org.codehaus.stax2.XMLStreamWriter2 w)`

    - ### Methods inherited from class org.codehaus.stax2.ri.evt.BaseEventImpl

      `addHash, asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isCharacters, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, iteratedEquals, stringsWithNullsEqual, throwFromIOE, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IncompleteEvent

          protected IncompleteEvent()

  - ### Method Detail

    - #### instance

          public static IncompleteEvent instance()

    - #### getEventType

          public int getEventType()

      Specified by:
        `getEventType` in interface `XMLEvent`
      Specified by:
        `getEventType` in class `org.codehaus.stax2.ri.evt.BaseEventImpl`

    - #### writeAsEncodedUnicode

          public void writeAsEncodedUnicode(Writer w)
                                     throws XMLStreamException

      Specified by:
        `writeAsEncodedUnicode` in interface `XMLEvent`
      Specified by:
        `writeAsEncodedUnicode` in class `org.codehaus.stax2.ri.evt.BaseEventImpl`
      Throws:
        `XMLStreamException`

    - #### writeUsing

          public void writeUsing(org.codehaus.stax2.XMLStreamWriter2 w)
                          throws XMLStreamException

      Specified by:
        `writeUsing` in interface `org.codehaus.stax2.evt.XMLEvent2`
      Specified by:
        `writeUsing` in class `org.codehaus.stax2.ri.evt.BaseEventImpl`
      Throws:
        `XMLStreamException`

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in class `org.codehaus.stax2.ri.evt.BaseEventImpl`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `org.codehaus.stax2.ri.evt.BaseEventImpl`

Copyright © 2018 FasterXML. All rights reserved.